[DOCUMENT-430] Add Debian 8 Jessie to the list of supported oss server platforms Created: 2015/09/30  Updated: 2016/01/19  Resolved: 2016/01/19

Status: Closed
Project: Documentation
Component/s: None
Affects Version/s: None
Fix Version/s: None

Type: Task Priority: Normal
Reporter: Melissa Stone Assignee: Unassigned
Resolution: Fixed Votes: 1
Labels: None
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified

Issue Links:
Blocks
blocks CPR-227 Add server packages for debian jessie Closed
blocks PDB-1797 enable test cells for debian 8 jessie Closed
blocks PDB-1798 Add debian jessie to build targets at... Closed
Template:
Story Points: 1

 Comments   
Comment by Garrett Guillotte [ 2015/11/02 ]

Supported platforms for each version of open source Puppet Server should be listed in the release notes: https://docs.puppetlabs.com/puppetserver/latest/release_notes.html. It looks like Debian 8 is listed there.

I believe the PuppetDB team owns their release notes and docs, and the 3.2.0 notes mention that Debian 8 support is added: https://docs.puppetlabs.com/puppetdb/latest/release_notes.html#section

They also have a System Requirements section in the overview that needs updating: http://docs.puppetlabs.com/puppetdb/latest/#system-requirements

Comment by Garrett Guillotte [ 2015/11/02 ]

There's also

Comment by Oussama BOUNAIM [ 2016/01/07 ]

So some one needs to add Debian 8 to https://docs.puppetlabs.com/guides/platforms.html to fix this issue ?

Comment by Garrett Guillotte [ 2016/01/07 ]

I've been working on migrating that guide, as well as the packaging guides, into the versioned documentation so we can point people to product version-specific requirements and functionality. For instance, where we provide functionality for it, Debian 8 is (or should be) listed on the versioned, per-product system requirements pages, such as Puppet 4.3's.

Comment by Oussama BOUNAIM [ 2016/01/19 ]

Garrett Guillotte Melissa Stone
How much time is going to take ? What is the blocking issue actually ?
Why this issue is not in 'major' priority ? I think it is affecting a lot of people out there, as no puppetdb or puppet dashbord packages are availble for Debian Jessie.

Is there anything we can do to help ?

We need Jessie packages for an internal project.

Thanks a lot.

BR,

Comment by Melissa Stone [ 2016/01/19 ]

Oussama BOUNAIM are you looking for server packages for Debian Jessie? Because they're up and available. This ticket is just to make sure the documentation is correct. Check out the guide at https://docs.puppetlabs.com/guides/puppetlabs_package_repositories.html for installing packages. We're only providing puppet-agent and puppetserver packages for Jessie (read Puppet 4 and later). You'll need to enable the PC1 repos to access them.

Comment by Garrett Guillotte [ 2016/01/19 ]

Closing this out as we've noted our Debian 8 packages in the relevant Puppet Server versions' release notes and in the guides page that's being retired.

EDIT: Jessie is listed in the PuppetDB release notes and index page.

Thanks!

Generated at Fri Oct 18 01:22:04 PDT 2019 using JIRA 7.7.1#77002-sha1:e75ca93d5574d9409c0630b81c894d9065296414.